var MapModule = require('ti.map');
var win = Ti.UI.createWindow({backgroundColor: 'white'});
var opera = MapModule.createAnnotation({
    latitude: -33.8569,
    longitude: 151.2153,
    image: '/images/infoicon.png',
    leftButton: '/images/infoicon.png',   
    title: 'Sydney Opera House',
    subtitle: 'Sydney, New South Wales, Australia'
});

var bridge = MapModule.createAnnotation({
    latitude: -33.852222,
    longitude: 151.210556,
    image: '/images/infoicon.png',
    rightButton: '/images/infoicon.png',    
    title: 'Sydney Harbour Bridge',
    subtitle: 'Port Jackson'
});

var random = MapModule.createAnnotation({
    latitude: -33.87365,
    longitude: 151.20689,
    pincolor: MapModule.ANNOTATION_VIOLET,
    customView: Ti.UI.createLabel({
        text: 'MOVE ME!',
        opacity: '80%',
        color: 'red',
        backgroundColor: 'gray',
        font: {
            fontSize: '16dp',
            fontWeight: 'bold'
        }
    }),
    draggable: true
});

var mapview = MapModule.createView({
    mapType: MapModule.NORMAL_TYPE,
    region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 },
    annotations: [bridge,opera]
});

mapview.addAnnotation(random);
win.add(mapview);
win.open();

